| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
SubscriberListener Class Reference
eProsima Fast DDS API Reference » DDS Public API

Class SubscriberListener, it should be used by the end user to implement specific callbacks to certain actions. More...

`#include <SubscriberListener.hpp>`

Inheritance diagram for SubscriberListener:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | SubscriberListener ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~SubscriberListener ()
| Destructor.
virtual FASTDDS_EXPORTED_API void | on_data_on_readers (Subscriber *sub)
| Virtual function to be implemented by the user containing the actions to be performed when a new Data Message is available on any reader.
Public Member Functions inherited from DataReaderListener
FASTDDS_EXPORTED_API | DataReaderListener ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~DataReaderListener ()
| Destructor.
virtual FASTDDS_EXPORTED_API void | on_data_available (DataReader *reader)
| Virtual function to be implemented by the user containing the actions to be performed when new Data Messages are received.
virtual FASTDDS_EXPORTED_API void | on_subscription_matched (DataReader *reader, const fastdds::dds::SubscriptionMatchedStatus &info)
| Virtual method to be called when the subscriber is matched with a new Writer (or unmatched); i.e., when a writer publishing in the same topic is discovered.
virtual FASTDDS_EXPORTED_API void | on_requested_deadline_missed (DataReader *reader, const RequestedDeadlineMissedStatus &status)
| Virtual method to be called when a topic misses the deadline period.
virtual FASTDDS_EXPORTED_API void | on_liveliness_changed (DataReader *reader, const LivelinessChangedStatus &status)
| Method called when the liveliness status associated to a subscriber changes.
virtual FASTDDS_EXPORTED_API void | on_sample_rejected (DataReader *reader, const SampleRejectedStatus &status)
| Method called when a sample was rejected.
virtual FASTDDS_EXPORTED_API void | on_requested_incompatible_qos (DataReader *reader, const RequestedIncompatibleQosStatus &status)
| Method called an incompatible QoS was requested.
virtual FASTDDS_EXPORTED_API void | on_sample_lost (DataReader *reader, const SampleLostStatus &status)
| Method called when a sample was lost.

## Detailed Description

Class SubscriberListener, it should be used by the end user to implement specific callbacks to certain actions.

It also inherits all DataReaderListener callbacks.

## Constructor & Destructor Documentation

## ◆ SubscriberListener()

FASTDDS_EXPORTED_API SubscriberListener | ( |  | ) |

inline

Constructor.

## ◆ ~SubscriberListener()

virtual FASTDDS_EXPORTED_API ~SubscriberListener | ( |  | ) |

inline virtual

Destructor.

## Member Function Documentation

## ◆ on_data_on_readers()

virtual FASTDDS_EXPORTED_API void on_data_on_readers | ( | Subscriber * | sub | ) |

inline virtual

Virtual function to be implemented by the user containing the actions to be performed when a new Data Message is available on any reader.

Parameters

  sub | Subscriber

The documentation for this class was generated from the following file:

- include/fastdds/dds/subscriber/SubscriberListener.hpp